Create Credential
curl --request POST \
--url https://api.example.com/api/projects/{project_id}/odoo/credentials \
--header 'Content-Type: application/json' \
--data '
{
"base_url": "<string>",
"db_name": "<string>",
"login": "<string>",
"name": "<string>",
"secret": "<string>",
"tier": "<string>",
"auth_method": "password"
}
'import requests
url = "https://api.example.com/api/projects/{project_id}/odoo/credentials"
payload = {
"base_url": "<string>",
"db_name": "<string>",
"login": "<string>",
"name": "<string>",
"secret": "<string>",
"tier": "<string>",
"auth_method": "password"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
base_url: '<string>',
db_name: '<string>',
login: '<string>',
name: '<string>',
secret: '<string>',
tier: '<string>',
auth_method: 'password'
})
};
fetch('https://api.example.com/api/projects/{project_id}/odoo/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auth_method": "<string>",
"base_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"db_name": "<string>",
"has_secret": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"login": "<string>",
"name": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tier": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"last_test_at": "2023-11-07T05:31:56Z",
"last_test_error": "<string>",
"last_test_status": "<string>",
"last_used_at": "2023-11-07T05:31:56Z",
"server_version": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Odoo Connections
Create Credential
POST
/
api
/
projects
/
{project_id}
/
odoo
/
credentials
Create Credential
Path Parameters
Body
application/json
Required string length:
1 - 512Required string length:
1 - 255Required string length:
1 - 255Required string length:
1 - 255Minimum string length:
1Response
Successful Response